org.deidentifier.arx.framework.check

## Class TransformedData

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformedData

    public class TransformedData
    extends java.lang.Object

Helper class to convey buffers.

Author:
  Fabian Prasser, Florian Kohlmayer

### Field Summary

Fields
`Data` `bufferGeneralized` The GH buffer
`Data` `bufferMicroaggregated` The OT buffer
`TransformationResult` `properties` The properties

### Constructor Summary

Constructors
Constructor and Description
`TransformedData(Data bufferGH, Data bufferOT, TransformationResult properties)` Instantiate the helper object.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bufferGeneralized

    public Data bufferGeneralized

The GH buffer

#### bufferMicroaggregated

    public Data bufferMicroaggregated

The OT buffer

#### properties

    public TransformationResult properties

The properties

### Constructor Detail

#### TransformedData

    public TransformedData(Data bufferGH,
                           Data bufferOT,
                           TransformationResult properties)

Instantiate the helper object.

Parameters:
  `bufferGH` -
  `bufferOT` -